/*
 *  File: Environment.cpp
 *
 *  Author:     Jacob Dekel
 *  Created on: Aug 8, 2009
 *
 *  Copyright (c) 2009-2013 Jacob Dekel
 *  $Id$
 *
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "Environment.h"

#include "cstdlib"

#define ENV_ICONS "HERCULES_ICONS"

std::string Environment::mEmptyString;
std::string Environment::mDefaultIconPath = ":/icons";//"/usr/share/herculesstudio/icons";
std::string *Environment::mIconsPath = NULL;

Environment::Environment()
{


}

Environment::~Environment()
{
    delete mIconsPath;
}

std::string& Environment::getIconsPath()
{
    if (mIconsPath != NULL) return *mIconsPath;
    char * path = getenv("HERCULES_ICONS");
    if (path == NULL) mIconsPath = &mDefaultIconPath;
    else mIconsPath = new std::string(path);
    return *mIconsPath;
}
